%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-pyproject-metadata
Version:       0.7.1
Release:       2mamba
Summary:       PEP 621 metadata parsing
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/FFY00/python-pyproject-metadata
Source:        http://pypi.debian.net/pyproject-metadata/pyproject-metadata-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(packaging)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n pyproject-metadata-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Fri Sep 29 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.1-2mamba
- rebuilt with python3 == 3.11

* Sat Sep 09 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.1-1mamba
- package created using the webbuild interface
